Run Row Usage Report - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Run Row Usage Report

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/admin-reports/row-usage-report/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-11-07T05:31:56Z",
  "end": "2023-11-07T05:31:56Z"
}
'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/admin-reports/row-usage-report/run"

payload = {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/admin-reports/row-usage-report/run', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

202

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization
Bearer <token> — required

Body

start
string — required

end
string — required

Status Codes

202 - Accepted